<?PHP
/**
 * Constants for the environment of the museum-digital URL shortener.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

const TL_FILE_DIRS = [
    __DIR__ . "/l10n/translation-musdb/",
    __DIR__ . "/classes/MDAllowedValueSets/l18n/",
];

const AUTOLOAD_DIRS = [
    __DIR__ . "/src",
    __DIR__ . "/classes/MD_STD",
    __DIR__ . "/classes/MDAllowedValueSets/src",
    __DIR__ . "/classes/MDTlLoader/src",
    __DIR__ . "/classes/MDTlLoader/exceptions",
    __DIR__ . "/classes/MDErrorReporter",
    __DIR__ . "/classes/MDMailer/src",
    __DIR__ . "/classes/MDMysqli/exceptions",
    # __DIR__ . "/classes/MDTlLoader/src",
    # __DIR__ . "/classes/MDTlLoader/exceptions",
    __DIR__ . "/classes/MDErrorReporter/exceptions/generic",
    __DIR__ . "/classes/MDErrorReporter/exceptions/page",
    __DIR__ . "/classes/MDErrorReporter/exceptions/updates",
];
